<?php

namespace EventPortal\Database\Seeds;

use EventPortal\Domain\Permission\Models\Permission;
use Illuminate\Database\Seeder;
use Illuminate\Support\Str;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $permissions = collect([
            'event.manage',
            'event.show',
            'event.store',
            'event.update',
            'event.destroy',
            'team.manage',
            'team.show',
            'team.store',
            'team.update',
            'team.destroy',
            'user.manage',
            'user.show',
            'user.store',
            'user.update',
            'user.destroy',
        ]);

        $permissions->each(function ($permission) {
            $model = Str::plural(Str::title(Str::before($permission, '.'))); // event -> Events
            $method = Str::title(Str::after($permission, '.')); // manage -> Manage

            Permission::create([
                'name' => $permission,
                'label' => "{$method} {$model}",
                'guard_name' => 'web',
            ]);
        });
    }
}
